%define upstream_name    MooseX-ClassCompositor
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A factory that builds classes from roles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.230.0
BuildRequires: perl(MooseX::StrictConstructor::Trait::Class)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 539413
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 492134
- update to 0.007

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 370143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 317688
- update to 0.006

* Mon Oct 15 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 306180
- update to 0.005

* Wed Oct 10 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 304094
- imported package perl-MooseX-ClassCompositor


* Wed Oct 10 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
